Skip to content

Remove Schedule ​

Soft remove a schedule configuration, pausing it and marking it as removed without permanently deleting it. Requires ADMIN permissions. Use the schema restoration endpoint to restore the configuration or the schedule deletion endpoint to permanently delete it.

Parameters ​

name * are required parametersdata typedescription
scheduleId*stringThe unique identifier of the schedule to remove
body.paused*booleanRequired current pause state of the schedule

Return Value ​

json
{
  "statusCode": 201,
  "data": null,
  "message": "Schedule removed"
}

Examples ​

bash
curl -X DELETE "https://app.wombat.software/api/{targetPath}/schedule/:scheduleId/remove" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..." \
  -d '{"paused": true}'

ENDPOINTS

delete/api/{targetPath}/schedule/:scheduleId/remove